PETSc version 3.17.4
Fix/Edit manual page

# PetscFESetType

Builds a particular PetscFE

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetType(PetscFE fem, PetscFEType name)

Collective on fem

### Input Parameters

| fem | - The PetscFE object
| name | - The kind of FEM space

### Options Database Key

| -petscfe_type <type> | - Sets the PetscFE type; use -help for a list of available types

### See Also

PetscFEGetType(), PetscFECreate()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages